- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# aws_glue_connection – Manage an AWS Glue connection

New in version 2.6.

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- Manage an AWS Glue connection. See https://aws.amazon.com/glue/ for details.

## Requirements

The below requirements are needed on the host that executes this module.

- boto

- boto3

- python >= 2.6

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
aws_access_key string |  | AWS access key. If not set then the value of the AWS_ACCESS_KEY_ID, AWS_ACCESS_KEY or EC2_ACCESS_KEY environment variable is used. aliases: ec2_access_key, access_key
aws_secret_key string |  | AWS secret key. If not set then the value of the AWS_SECRET_ACCESS_KEY, AWS_SECRET_KEY, or EC2_SECRET_KEY environment variable is used. aliases: ec2_secret_key, secret_key
catalog_id - |  | The ID of the Data Catalog in which to create the connection. If none is supplied, the AWS account ID is used by default.
connection_properties - / required |  | A dict of key-value pairs used as parameters for this connection.
connection_type - | Choices: JDBC ← SFTP | The type of the connection. Currently, only JDBC is supported; SFTP is not supported.
debug_botocore_endpoint_logs boolean added in 2.8 | Choices: no ← yes | Use a botocore.endpoint logger to parse the unique (rather than total) "resource:action" API calls made during a task, outputing the set to the resource_actions key in the task results. Use the aws_resource_action callback to output to total list made during a playbook. The ANSIBLE_DEBUG_BOTOCORE_LOGS environment variable may also be used.
description - |  | The description of the connection.
ec2_url string |  | Url to use to connect to EC2 or your Eucalyptus cloud (by default the module will use EC2 endpoints). Ignored for modules where region is required. Must be specified for all other modules if region is not used. If not set then the value of the EC2_URL environment variable, if any, is used.
match_criteria - |  | A list of UTF-8 strings that specify the criteria that you can use in selecting this connection.
name - / required |  | The name of the connection.
profile string |  | Uses a boto profile. Only works with boto >= 2.24.0.
region string |  | The AWS region to use. If not specified then the value of the AWS_REGION or EC2_REGION environment variable, if any, is used. See http://docs.aws.amazon.com/general/latest/gr/rande.html#ec2_region aliases: aws_region, ec2_region
security_groups - |  | A list of security groups to be used by the connection. Use either security group name or ID.
security_token string |  | AWS STS security token. If not set then the value of the AWS_SECURITY_TOKEN or EC2_SECURITY_TOKEN environment variable is used. aliases: access_token
state - / required | Choices: present absent | Create or delete the AWS Glue connection.
subnet_id - |  | The subnet ID used by the connection.
validate_certs boolean | Choices: no yes ← | When set to "no", SSL certificates will not be validated for boto versions >= 2.6.0.

## Notes

Note

- If parameters are not set within the module, the following environment variables can be used in decreasing order of precedence `AWS_URL` or `EC2_URL`, `AWS_ACCESS_KEY_ID` or `AWS_ACCESS_KEY` or `EC2_ACCESS_KEY`, `AWS_SECRET_ACCESS_KEY` or `AWS_SECRET_KEY` or `EC2_SECRET_KEY`, `AWS_SECURITY_TOKEN` or `EC2_SECURITY_TOKEN`, `AWS_REGION` or `EC2_REGION`

- Ansible uses the boto configuration file (typically ~/.boto) if no credentials are provided. See https://boto.readthedocs.io/en/latest/boto_config_tut.html

- `AWS_REGION` or `EC2_REGION` can be typically be used to specify the AWS region, when required, but this can also be configured in the boto config file

## Examples

    # Note: These examples do not set authentication details, see the AWS Guide for details.

    # Create an AWS Glue connection
    - aws_glue_connection:
        name: my-glue-connection
        connection_properties:
          JDBC_CONNECTION_URL: jdbc:mysql://mydb:3306/databasename
          USERNAME: my-username
          PASSWORD: my-password
        state: present

    # Delete an AWS Glue connection
    - aws_glue_connection:
        name: my-glue-connection
        state: absent

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
connection_properties dictionary | when state is present | A dict of key-value pairs used as parameters for this connection. Sample: {'JDBC_CONNECTION_URL': 'jdbc:mysql://mydb:3306/databasename', 'USERNAME': 'x', 'PASSWORD': 'y'}
connection_type string | when state is present | The type of the connection. Sample: JDBC
creation_time string | when state is present | The time this connection definition was created. Sample: 2018-04-21T05:19:58.326000+00:00
description string | when state is present | Description of the job being defined. Sample: My first Glue job
last_updated_time string | when state is present | The last time this connection definition was updated. Sample: 2018-04-21T05:19:58.326000+00:00
match_criteria list | when state is present | A list of criteria that can be used in selecting this connection.
name string | when state is present | The name of the connection definition. Sample: my-glue-connection
physical_connection_requirements dictionary | when state is present | A dict of physical connection requirements, such as VPC and SecurityGroup, needed for making this connection successfully. Sample: {'subnet-id': 'subnet-aabbccddee'}

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Rob White (@wimnat)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.